<div *ngIf="isAdd; else buttonAdd">
    <app-add [post]="addPost" (serverUpdate)="onServerUpdate($event)"></app-add>
  </div>

<ng-template #buttonAdd>
<button (click)="addToggle()">Add Toggle</button>
<div *ngFor="let post of $posts|async">
    id: {{post.id}}
    <br>
    title: {{post.title}}
    <br>
    author: {{post.author}}
    <br>
    content: <a [routerLink]="['/posts',post.id]">See full post...</a>
    <br>
    <button (click)="canc(post.id)">Delete</button>
    <button (click)="update(post)">Update</button>
</div>
</ng-template>